
# Replace entries in makefile

# ./configure -prefix /localhost/tmp/jans/qt4.3.2 -nomake examples,tools -release -static -no-qt3support -no-openssl -no-cups -no-opengl -no-xinerama -no-xfixes -no-xrandr -no-tablet -no-glib -no-mmx -no-3dnow -no-sse -no-sse2

$file = $ARGV[0];

open(IN, $file) || die "Can't open $file";
@LINES = <IN>;
close(IN);

open(OUT, ">$file") || die "Can't create $file";
foreach $line (@LINES) {
	chomp($line);
	if ($line =~ /^CXX\s+\=/) {
		$line = "CXX = apg++";
	}
	if ($line =~ /^LINK\s+\=/) {
		$line = "LINK = apg++";
	}
	if ($line =~ /^LFLAGS\s+\=\s+(.+)$/) {
		$flags = $1;
		$line = "LFLAGS = $flags -static-libgcc -Wl,-Bstatic -lstdc++ -Wl,-Bdynamic";
	}
	print OUT "$line\n";
}
close(OUT);
